> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# クエリログの取得

> Download a query log file for troubleshooting.




## OpenAPI

````yaml ja/API/REST-API.yaml GET /log/query/get/{queryId}
openapi: 3.1.0
info:
  title: CData Connect AI REST API
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - Basic: []
paths:
  /log/query/get/{queryId}:
    get:
      tags:
        - Log
      summary: Get Query Log
      description: |
        Download a query log file for troubleshooting.
      operationId: getQueryLog
      parameters:
        - name: queryId
          in: path
          required: true
          description: The unique Id of the query for which to download the log file.
          schema:
            type: string
      responses:
        '200':
          description: OK and the zipped log file.
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
      description: >-
        Basic Authentication with username and password. Use your PAT as the
        password. You can get your PAT from Connect AI by selecting **Settings**
        > **Access Tokens**.

````